var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { useEffect, useState } from 'react';
import { insertDevice } from '../insert-device.js';
import { getAllDeviceInfo } from '../get-all-device-info.js';
export function useDeviceInsertionIfDoesNotExistAndSavingData(param) {
    const { deep, deviceLinkId, setDeviceLinkId, containerLinkId } = param;
    const [isLoading, setIsLoading] = useState(false);
    useEffect(() => {
        const fetchAndInsertDeviceLink = () => __awaiter(this, void 0, void 0, function* () {
            let deviceLink;
            if (deviceLinkId) {
                const { data } = yield deep.select(deviceLinkId);
                deviceLink = data[0];
            }
            if (!deviceLinkId || !deviceLink) {
                setIsLoading(true);
                const insertionResult = yield insertDevice({
                    deep,
                    containerLinkId,
                    info: yield getAllDeviceInfo(),
                });
                setDeviceLinkId(insertionResult.deviceLink.id);
                setIsLoading(false);
            }
        });
        fetchAndInsertDeviceLink();
    }, [deviceLinkId]);
    return { isLoading };
}
